Bug 1451069 - CVE-2017-8933 menu-cache: Insecure temporary file creation in get_socket_name function [epel-7]
Summary: CVE-2017-8933 menu-cache: Insecure temporary file creation in get_socket_name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: menu-cache
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-8933
TreeView+ depends on / blocked
 
Reported: 2017-05-15 17:04 UTC by Adam Mariš
Modified: 2017-05-31 21:28 UTC (History)
3 users (show)

Fixed In Version: menu-cache-1.0.1-2.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 21:28:30 UTC


Attachments (Terms of Use)
Fix potential access violation, use runtime user dir instead of tmp dir. (2.45 KB, patch)
2017-05-15 18:34 UTC, Raphael Groner
no flags Details | Diff

Description Adam Mariš 2017-05-15 17:04:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Adam Mariš 2017-05-15 17:04:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1451068

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Raphael Groner 2017-05-15 18:34:41 UTC
Created attachment 1279068 [details]
Fix potential access violation, use runtime user dir instead of tmp dir.

Note: it limits libmenu-cache compatibility to menu-cached >= 0.7.0.

Upstream patch:
https://git.lxde.org/gitweb/?p=lxde/menu-cache.git;a=commit;h=56f66684592abf257c4004e6e1fff041c64a12ce
https://github.com/lxde/menu-cache/commit/56f66684592abf257c4004e6e1fff041c64a12ce
http://seclists.org/oss-sec/2017/q2/260

Comment 3 Fedora Update System 2017-05-16 08:36:38 UTC
menu-cache-1.0.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4269265615

Comment 4 Fedora Update System 2017-05-16 22:31:52 UTC
menu-cache-1.0.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4269265615

Comment 5 Fedora Update System 2017-05-31 21:28:30 UTC
menu-cache-1.0.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.